<?php
/**
 * VisualMag: Block Patterns
 *
 * @since VisualMag 1.0
 */

/**
 * Registers pattern categories.
 *
 * @since VisualMag 1.0
 *
 * @return void
 */
function visualmag_register_pattern_category() {

	$patterns = array();

	$block_pattern_categories = array(
		'visualmag' => array( 'label' => __( 'VisualMag Theme', 'visualmag' ) )
	);

	$block_pattern_categories = apply_filters( 'visualmag_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'visualmag_register_pattern_category', 9 );
